
module "redis" {
  source = "terraform-aws-modules/redis/aws"
  version = "1.8.1"
  accounts = var.accounts
  alarm_rule_contact_groups = var.alarm_rule_contact_groups
  alarm_rule_effective_interval = var.alarm_rule_effective_interval
  alarm_rule_name = var.alarm_rule_name
  alarm_rule_operator = var.alarm_rule_operator
  alarm_rule_period = var.alarm_rule_period
  alarm_rule_silence_time = var.alarm_rule_silence_time
  alarm_rule_statistics = var.alarm_rule_statistics
  alarm_rule_threshold = var.alarm_rule_threshold
  alarm_rule_triggered_count = var.alarm_rule_triggered_count
  auto_renew = var.auto_renew
  auto_renew_period = var.auto_renew_period
  availability_zone = var.availability_zone
  backup_policy_backup_period = var.backup_policy_backup_period
  backup_policy_backup_time = var.backup_policy_backup_time
  config = var.config
  create_account = var.create_account
  create_instance = var.create_instance
  enable_alarm_rule = var.enable_alarm_rule
  engine_version = var.engine_version
  existing_instance_id = var.existing_instance_id
  instance_backup_id = var.instance_backup_id
  instance_charge_type = var.instance_charge_type
  instance_class = var.instance_class
  instance_name = var.instance_name
  instance_release_protection = var.instance_release_protection
  kms_encrypted_password = var.kms_encrypted_password
  kms_encryption_context = var.kms_encryption_context
  maintain_end_time = var.maintain_end_time
  maintain_start_time = var.maintain_start_time
  password = var.password
  period = var.period
  private_ip = var.private_ip
  profile = var.profile
  region = var.region
  secondary_zone_id = var.secondary_zone_id
  security_group_id = var.security_group_id
  security_ips = var.security_ips
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  ssl_enable = var.ssl_enable
  tags = var.tags
  vpc_auth_mode = var.vpc_auth_mode
  vswitch_id = var.vswitch_id
}
